org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization

## Interface SingleValuedContainmentReferenceInstance

All Superinterfaces:
  AbstractReferenceInstance

    public interface SingleValuedContainmentReferenceInstance
    extends AbstractReferenceInstance

A representation of the model object 'Single Valued Containment Reference Instance'.

The following features are supported:

- `Owned Element`

See Also:
  `SerializationPackage.getSingleValuedContainmentReferenceInstance()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`EObject` `getOwnedElement()` Returns the value of the 'Owned Element' containment reference.
`void` `setOwnedElement(EObject value)` Sets the value of the '`Owned Element`' containment reference.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.AbstractReferenceInstance

`getEReference, setEReference`

### Method Detail

#### getOwnedElement

    EObject getOwnedElement()

Returns the value of the 'Owned Element' containment reference.

If the meaning of the 'Owned Element' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Owned Element' containment reference.
See Also:
  `setOwnedElement(EObject)`, `SerializationPackage.getSingleValuedContainmentReferenceInstance_OwnedElement()`
Generated:
Model:
  containment="true"

#### setOwnedElement

    void setOwnedElement(EObject value)

Sets the value of the '`Owned Element`' containment reference.

Parameters:
  `value` - the new value of the 'Owned Element' containment reference.
See Also:
  `getOwnedElement()`
Generated: